package sample;

import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Paths;
import java.time.LocalDate;
import java.util.ArrayList;
import java.util.List;
import java.util.Scanner;

public class BmiManager {

    private final String FILE_NAME = "bmidata.txt";
    private Scanner cin;
    private Bmi bmi;

    public BmiManager() {
        cin = new Scanner(System.in);
    }

    public void run() {
        List<String> list = fileDataRead();
        if(list != null) {
            list.forEach(System.out::println);
        }
        inPut();
        fileDataWrite(list);
    }

    private void inPut() {
        System.out.print("O : ");
        String name = cin.nextLine();
        System.out.print("̏d(kg) : ");
        double weight = Double.parseDouble(cin.nextLine());
        System.out.print("g(cm) : ");
        double height = Double.parseDouble(cin.nextLine()) / 100;
        bmi = new Bmi(name, weight, height);
     }

    private List<String> fileDataRead() {
        List<String> list = new ArrayList<String>();
        try {
            list = Files.readAllLines(Paths.get(FILE_NAME));
        } catch (IOException e) {
            System.out.println(e.getStackTrace());
        }
        return list;
    }

    private void fileDataWrite(List<String> list) {
        String print = LocalDate.now() + " " +
                        bmi.getName() +
                        " ̏d:" + bmi.getWeight() +
                        " g:" + (bmi.getHeight() * 100) +
                        " BMIw:" + bmi.getBmi();
        System.out.println(print);
        list.add(print);
        try {
            Files.write(Paths.get(FILE_NAME), list);
        } catch (IOException e) {
            System.out.println(e.getStackTrace());
        }
    }
} 
